Status: Closed Start date: April 23, 2018

Priority: Minor Due date:  

Assignee:  % Done: 100%

Category: plugins/ffaudio Estimated time: 0.00 hour

Target version: 3.10   

Affects version:    

Description

While in Audacious, I am unable to open and play a MP4 (m4v) file. But, if I rename it to m4a for example, I can play it just fine. Is it

possible to add this functionality, where Audacious will look at the audio of the MP4 and play it vs rejecting?

History

#1 - April 23, 2018 23:04 - John Lindgren

It should already work.  I can play the audio of .mp4 video files fine here.

Please provide the following information:

- Version of Audacious

- Version of FFmpeg

- Operating system and version

- Any error message displayed

Also please attach (as a separate file, don't copy and paste it) the output of "audacious -V".

#2 - April 24, 2018 00:29 - Brian Zech

- File audacious.txt added

- File screenshot.png added

Audacious 3.9

ffmpeg version 3.4.2

Ubuntu 18.04 MATE

Error message displayed - see attached.

Audacious terminal output - see attached.

I assume you meant for me to run Audacious and attempt playback of said file(s) whilst Audacious is executed under "audacious -V", so my output

provided will show that.

Please note that playing the exact video file here via ffplay from terminal works without problems. I also have no issues with playback via VLC with the

specific file used here. This problem is also not just with this specific file, but all video files I tried in testing.

#3 - April 24, 2018 20:29 - John Lindgren
This is probably related:

WARNING ffaudio-core.cc:186 [m4v]: <0x7f68dc0bc640> Stream #0: not enough frames to estimate rate; consider in

creasing probesize

INFO ffaudio-core.cc:186 [m4v]: <0x7f68dc0bc640> decoding for stream 0 failed

WARNING ffaudio-core.cc:186 [m4v]: <0x7f68dc0bc640> Could not find codec parameters for stream 0 (Video: mpeg4

, none): unspecified size

Consider increasing the value for the 'analyzeduration' and 'probesize' options

 

We have a 16 KiB probing limit in place, which is fine for audio but might not be large enough for high-resolution video.  I hesitate to increase this limit

since it could have a negative impact on people playing internet streams.

Now that I closer look at your post, I see that your files have a .m4v extension, which is not explicitly whitelisted for the ffaudio plugin.  The one I

tested was .mp4, which is whitelisted.  So adding .m4v to the whitelist seems like the simplest fix.

#4 - April 24, 2018 20:32 - John Lindgren

- % Done changed from 0 to 100

- Target version set to 3.10

- Status changed from New to Closed

- Category set to plugins/ffaudio

- Subject changed from MP4 support to MP4 (.m4v) support

https://github.com/audacious-media-player/audacious-plugins/commit/9436806b2ffe60d8c0a7a92c752dab3b44d78eb8

#5 - April 25, 2018 02:16 - Brian Zech

We have a 16 KiB probing limit in place, which is fine for audio but might not be large enough for high-resolution video. I hesitate to increase this

limit since it could have a negative impact on people playing internet streams.

 

Just for reference purpose, the video is 640x384 and 3 minutes 30 seconds in duration.

Files

screenshot.png 32.3 KB April 24, 2018 Brian Zech

audacious.txt 24.8 KB April 24, 2018 Brian Zech
